summaryrefslogtreecommitdiff
path: root/ecp/build.sh
diff options
context:
space:
mode:
authorUros Majstorovic <majstor@majstor.org>2022-01-31 22:22:19 +0100
committerUros Majstorovic <majstor@majstor.org>2022-01-31 22:22:19 +0100
commit76be7c9a79da62e0a52d932bdfdf56671c82e33d (patch)
tree6385d50acb932766a11ded22901f1b333eb9856d /ecp/build.sh
parent6594778ab99958c3efb7325e4203bb4e593fc1a6 (diff)
build fix
Diffstat (limited to 'ecp/build.sh')
-rwxr-xr-xecp/build.sh24
1 files changed, 14 insertions, 10 deletions
diff --git a/ecp/build.sh b/ecp/build.sh
index 7669db1..4b7a16f 100755
--- a/ecp/build.sh
+++ b/ecp/build.sh
@@ -5,20 +5,24 @@ if [ -z $1 ]; then
else
ARG=$1
fi
+PLATFORM=posix
cd src
-make clean
-if [ $ARG == "all" ]; then
- make || exit
- make install
+if [ "$ARG" != "clean" ]; then
+ make platform=$PLATFORM clean
fi
+make platform=$PLATFORM $ARG || exit
+if [ "$ARG" == "all" ]; then
+ make platform=$PLATFORM install
+fi
+
cd ../util
-make clean
-if [ $ARG == "all" ]; then
- make || exit
+if [ "$ARG" != "clean" ]; then
+ make platform=$PLATFORM clean
fi
+make platform=$PLATFORM $ARG || exit
cd ../test
-make clean
-if [ $ARG == "all" ]; then
- make
+if [ "$ARG" != "clean" ]; then
+ make platform=$PLATFORM clean
fi
+make platform=$PLATFORM $ARG || exit